using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class UsingCookies : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
   protected void btnWrite_Click(object sender, EventArgs e)
   {
      HttpCookie cookie = new HttpCookie("Name",txtName.Text);
// ustaw czas wygaśnięcia ciasteczka na 1 dzień i 12 godzin od chwili obecnej
cookie.Expires = DateTime.Now + new TimeSpan(1, 12, 0, 0);
      Response.Cookies.Add(cookie);
      Response.Redirect("ReadCookie.aspx");
   }
}
